# Try to find the Botan library
#  BOTAN_FOUND - system has Botan lib
#  BOTAN_INCLUDE_DIRS - the include directories needed
#  BOTAN_LIBRARIES - Libraries needed to use Botan

FIND_PATH(BOTAN_INCLUDE_DIR NAMES botan/botan.h PATH_SUFFIXES botan-1.10)
FIND_LIBRARY(BOTAN_LIBRARY NAMES botan botan-1.10)

SET(BOTAN_INCLUDE_DIRS ${BOTAN_INCLUDE_DIR})
SET(BOTAN_LIBRARIES ${BOTAN_LIBRARY})

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(BOTAN DEFAULT_MSG BOTAN_LIBRARY BOTAN_INCLUDE_DIR)

MARK_AS_ADVANCED(BOTAN_INCLUDE_DIR BOTAN_LIBRARY)
